## xfsdump 2.2.45-1

=== Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

CONFIGURE = configure include/builddefs include/config.h
LSRCFILES = configure configure.in aclocal.m4 Makepkgs install-sh README VERSION

LDIRT = config.log .dep config.status config.cache confdefs.h conftest* \
	Logs/* built .census install.* install-dev.* *.gz

SUBDIRS = include librmt \
	common estimate fsr inventory invutil dump restore \
	m4 man doc po debian build

default: $(CONFIGURE)
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(SUBDIRS_MAKERULE)
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

$(CONFIGURE):
	autoconf
	./configure \
		--prefix=/ \
		--exec-prefix=/ \
		--sbindir=/sbin \
		--bindir=/usr/sbin \
		--libdir=/lib \
		--libexecdir=/usr/lib \
		--enable-lib64=yes \
		--includedir=/usr/include \
		--mandir=/usr/share/man \
		--datadir=/usr/share \
		$$LOCAL_CONFIGURE_OPTIONS
	touch .census

aclocal.m4::
	aclocal --acdir=`pwd`/m4 --output=$@

install: default
	$(SUBDIRS_MAKERULE)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: default
	$(SUBDIRS_MAKERULE)

realclean distclean: clean
	rm -f $(LDIRT) $(CONFIGURE)
	rm -rf autom4te.cache Logs

=== dump/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

COMMINCL = \
	arch_xlate.h \
	cldmgr.h \
	content.h \
	content_common.h \
	content_inode.h \
	dlog.h \
	drive.h \
	exit.h \
	fs.h \
        getdents.h \
	global.h \
	hsmapi.h \
	lock.h \
	media.h \
	mlog.h \
	openutil.h \
	path.h \
	qlock.h \
	ring.h \
	stream.h \
	ts_mtio.h \
	types.h \
	util.h \
	sproc.h \
	rec_hdr.h

INVINCL = \
	inventory.h \
	inv_priv.h

INVCOMMON = \
	inv_api.c \
	inv_core.c \
	inv_files.c \
	inv_fstab.c \
	inv_idx.c \
	inv_mgr.c \
	inv_stobj.c

COMMON = \
	arch_xlate.c \
	cldmgr.c \
	content_common.c \
	dlog.c \
	drive.c \
	drive_scsitape.c \
	drive_simple.c \
	drive_minrmt.c \
	fs.c \
	getdents.c \
	global.c \
	hsmapi.c \
	lock.c \
	main.c \
	mlog.c \
	openutil.c \
	qlock.c \
	path.c \
	ring.c \
	stream.c \
	util.c \
	sproc.c

LOCALS = \
	content.c \
	inomap.c \
	var.c

LOCALINCL = \
	getopt.h \
	inomap.h \
	var.h

LTCOMMAND = xfsdump

CFILES = $(COMMON) $(INVCOMMON) $(LOCALS)
HFILES = $(LOCALINCL) $(COMMINCL) $(INVINCL)
LINKS  = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
LDIRT = $(LINKS)
LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBRMT)
LTDEPENDENCIES = $(LIBRMT)

LCFLAGS = -DDUMP -DRMT -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(INSTALL) -S $(PKG_SBIN_DIR)/$(LTCOMMAND) $(PKG_BIN_DIR)/$(LTCOMMAND)
install-dev:

$(COMMINCL) $(COMMON):
	$(RM) $@; $(LN_S) ../common/$@ $@

$(INVINCL) $(INVCOMMON):
	$(RM) $@; $(LN_S) ../inventory/$@ $@

=== po/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

POTHEAD = $(PKG_NAME).pot
LINGUAS =
LSRCFILES = $(LINGUAS:%=%.po) $(POTHEAD)
LDIRT = $(POTHEAD)

# TODO - invutil/
XGETTEXTFILES =	\
		$(TOPDIR)/common/cldmgr.c \
		$(TOPDIR)/common/content_common.c \
		$(TOPDIR)/common/dlog.c \
		$(TOPDIR)/common/drive.c \
		$(TOPDIR)/common/drive_minrmt.c \
		$(TOPDIR)/common/drive_scsitape.c \
		$(TOPDIR)/common/drive_simple.c \
		$(TOPDIR)/common/fs.c \
		$(TOPDIR)/common/global.c \
		$(TOPDIR)/common/main.c \
		$(TOPDIR)/common/media.c \
		$(TOPDIR)/common/mlog.c \
		$(TOPDIR)/common/namreg.c \
		$(TOPDIR)/common/openutil.c \
		$(TOPDIR)/common/qlock.c \
		$(TOPDIR)/common/util.c \
		$(TOPDIR)/dump/content.c \
		$(TOPDIR)/dump/inomap.c \
		$(TOPDIR)/dump/var.c \
		$(TOPDIR)/estimate/xfs_estimate.c \
		$(TOPDIR)/fsr/xfs_fsr.c \
		$(TOPDIR)/inventory/inv_api.c \
		$(TOPDIR)/inventory/inv_core.c \
		$(TOPDIR)/inventory/inv_fstab.c \
		$(TOPDIR)/inventory/inv_mgr.c \
		$(TOPDIR)/inventory/inv_stobj.c \
		$(TOPDIR)/librmt/rmtioctl.c \
		$(TOPDIR)/librmt/rmtmsg.c \
		$(TOPDIR)/librmt/rmtopen.c \
		$(TOPDIR)/restore/content.c \
		$(TOPDIR)/restore/dirattr.c \
		$(TOPDIR)/restore/inomap.c \
		$(TOPDIR)/restore/namreg.c \
		$(TOPDIR)/restore/node.c \
		$(TOPDIR)/restore/tree.c \
		$(TOPDIR)/restore/win.c

default: $(POTHEAD) $(LINGUAS:%=%.mo)

include $(BUILDRULES)

install: default
	$(INSTALL_LINGUAS)

install-dev install-lib:

=== debian/control ===
Source: xfsdump
Section: admin
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Build-Depends: xfslibs-dev (>= 2.6.4), uuid-dev, libattr1-dev (>= 2.4.14), libncurses-dev, autoconf, debhelper (>= 5), gettext, libtool
Standards-Version: 3.5.9

Package: xfsdump
Depends: ${shlibs:Depends}
Architecture: any
Description: Administrative utilities for the XFS filesystem
 The xfsdump package contains xfsdump, xfsrestore and a number of
 other administrative utilities for managing XFS filesystems.
 .
 xfsdump examines files in a filesystem, determines which need to be
 backed up, and copies those files to a specified disk, tape or other
 storage medium.  It uses XFS-specific directives for optimizing the
 dump of an XFS filesystem, and also knows how to backup XFS extended
 attributes.  Backups created with xfsdump are "endian safe" and can
 thus be transfered between Linux machines of different architectures
 and also between IRIX machines.
 .
 xfsrestore performs the inverse function of xfsdump; it can restore a
 full backup of a filesystem.  Subsequent incremental backups can then
 be layered on top of the full backup.  Single files and directory
 subtrees may be restored from full or partial backups.

=== debian/rules ===
#!/usr/bin/make -f

package=xfsdump

dirme  = debian/$(package)
pkgme  = DIST_ROOT=`pwd`/$(dirme); export DIST_ROOT;
stdenv = @GZIP=-q; export GZIP;

options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
	  INSTALL_USER=root INSTALL_GROUP=root ;
checkdir = test -f debian/rules
checkver = rm -f debian/compat && echo 5 > debian/compat

build: built
built: config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	touch built

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	$(options) $(MAKE) configure
	touch .census

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f built .census
	$(MAKE) distclean
	-rm -rf $(dirme)
	-rm -f debian/*substvars debian/files* debian/*.debhelper debian/compat

binary-indep:

binary-arch: checkroot built
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	$(checkver)
	-rm -rf $(dirme)
	$(pkgme) $(MAKE) -C . install
	$(pkgme) $(MAKE) -C build src-manifest

	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol

	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

checkroot:
	test 0 -eq `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot

## xfsdump 2.2.48-1

=== inventory/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = inv_api.c inv_core.c inv_fstab.c inv_idx.c inv_mgr.c \
	inv_oref.c inv_oref.h inv_priv.h inv_stobj.c inv_files.c \
	inventory.h

default install install-dev:

include $(BUILDRULES)

=== invutil/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

COMMINCL = \
	global.h \
	mlog.h \
	util.h \
	types.h

INVINCL = \
	inventory.h \
	inv_priv.h

INVCOMMON = \
	inv_files.c

CURSESCOMMON = \
	cmenu.c \
	fstab.c \
	invidx.c \
	list.c \
	menu.c \
	screen.c \
	stobj.c

CURSESINCL = \
	cmenu.h \
	fstab.h \
	getopt.h \
	invidx.h \
	invutil.h \
	list.h \
	stobj.h

LOCALS = invutil.c

LTCOMMAND = xfsinvutil
CFILES = $(COMMON) $(INVCOMMON) $(LOCALS)
HFILES = $(COMMINCL) $(INVINCL)
LINKS  = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
LDIRT = $(LINKS)
LLDLIBS = $(LIBUUID) $(LIBCURSES)

#LCFLAGS = -DDUMP -DRMT -DEXTATTR -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX
LCFLAGS = -DDUMP -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX
#LCFLAGS = -DINV_DEBUG -DDUMP -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX

ifeq ($(ENABLE_CURSES), yes)
CFILES += $(CURSESCOMMON)
HFILES += $(CURSESINCL)
LCFLAGS += -DHAVE_CURSES
else
LSRCFILES += $(CURSESCOMMON) $(CURSESINCL)
endif

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev:

$(COMMINCL) $(COMMON):
	$(RM) $@; $(LN_S) ../common/$@ $@

$(INVINCL) $(INVCOMMON):
	$(RM) $@; $(LN_S) ../inventory/$@ $@

=== librmt/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = librmt.la
LTLDFLAGS =	# empty, forces a static-only library build

HFILES = rmtlib.h
CFILES = \
    isrmt.c      rmtclose.c    rmtdev.c    rmtisatty.c  rmtread.c   \
    rmtabort.c   rmtcommand.c  rmtfstat.c  rmtlseek.c   rmtstatus.c \
    rmtaccess.c  rmtcreat.c    rmtioctl.c  rmtopen.c    rmtwrite.c \
    rmtmsg.c

default: $(LTLIBRARY)

include $(BUILDRULES)

install install-dev: default

=== m4/Makefile ===
#
# Copyright (c) 2003-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = \
	manual_format.m4 \
	package_attrdev.m4 \
	package_globals.m4 \
	package_ncurses.m4 \
	package_utilies.m4 \
	package_uuiddev.m4 \
	package_xfslibs.m4 \
	multilib.m4

default: 

include $(BUILDRULES)

install install-dev install-lib: default

=== man/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

SUBDIRS = man8

default install install-dev : $(SUBDIRS)
	$(SUBDIRS_MAKERULE)

include $(BUILDRULES)

=== debian/changelog ===
xfsdump (2.2.45-1) unstable; urgency=low

  * New upstream release (closes: #417894).

 -- Nathan Scott <nathans@debian.org>  Mon, 28 May 2007 16:09:14 +1000

## xfsdump 3.0.2

=== debian/changelog ===
xfsdump (3.0.2) unstable; urgency=low

  * New bugfix release
  * Update packaging dependencies on latest xfsprogs (closes: #527651)

 -- Nathan Scott <nathans@debian.org>  Sat, 09 May 2009 04:42:48 +1000

xfsdump (3.0.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 28 Jan 2009 22:00:42 +1100

xfsdump (2.2.48-1) unstable; urgency=low

  * New upstream release
  * xfsdump depends on ${misc:Depends}
  * Add debian/watch
  * Add homepage control header
  * Fix the following lintian issues:
    W: xfsdump source: package-uses-deprecated-debhelper-compat-version 1
    W: xfsdump source: ancient-standards-version 3.5.9 (current is 3.7.3)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 23 Apr 2008 22:06:34 +1000

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_VERBOSE=1
 
 package=xfsdump
 
@@ -9,7 +11,6 @@
 options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
 	  INSTALL_USER=root INSTALL_GROUP=root ;
 checkdir = test -f debian/rules
-checkver = rm -f debian/compat && echo 5 > debian/compat
 
 build: built
 built: config
@@ -21,7 +22,7 @@
 .census:
 	@echo "== dpkg-buildpackage: configure" 1>&2
 	$(checkdir)
-	$(options) $(MAKE) configure
+	$(options) $(MAKE) include/config.h
 	touch .census
 
 clean:
@@ -30,14 +31,13 @@
 	-rm -f built .census
 	$(MAKE) distclean
 	-rm -rf $(dirme)
-	-rm -f debian/*substvars debian/files* debian/*.debhelper debian/compat
+	-rm -f debian/*substvars debian/files* debian/*.debhelper
 
 binary-indep:
 
 binary-arch: checkroot built
 	@echo "== dpkg-buildpackage: binary-arch" 1>&2
 	$(checkdir)
-	$(checkver)
 	-rm -rf $(dirme)
 	$(pkgme) $(MAKE) -C . install
 	$(pkgme) $(MAKE) -C build src-manifest

## xfsdump 3.0.5

=== dump/Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	qlock.h \
 	ring.h \
 	stream.h \
+	timeutil.h \
 	ts_mtio.h \
 	types.h \
 	util.h \
@@ -66,6 +67,7 @@
 	path.c \
 	ring.c \
 	stream.c \
+	timeutil.c \
 	util.c \
 	sproc.c
 
@@ -81,28 +83,36 @@
 
 LTCOMMAND = xfsdump
 
-CFILES = $(COMMON) $(INVCOMMON) $(LOCALS)
-HFILES = $(LOCALINCL) $(COMMINCL) $(INVINCL)
-LINKS  = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
+CFILES = $(LOCALS)
+LCFILES = $(COMMON) $(INVCOMMON)
+HFILES = $(LOCALINCL)
+LHFILES = $(COMMINCL) $(INVINCL)
+LINKS = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
 LDIRT = $(LINKS)
 LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBRMT)
 LTDEPENDENCIES = $(LIBRMT)
 
 LCFLAGS = -DDUMP -DRMT -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX
 
-default: $(LTCOMMAND)
+default: depend $(LTCOMMAND)
 
 include $(BUILDRULES)
 
 install: default
+	$(INSTALL) -m 755 -d $(PKG_ROOT_SBIN_DIR)
+	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_ROOT_SBIN_DIR)
 	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
-	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
-	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
-	$(INSTALL) -S $(PKG_SBIN_DIR)/$(LTCOMMAND) $(PKG_BIN_DIR)/$(LTCOMMAND)
+	$(INSTALL) -S $(PKG_ROOT_SBIN_DIR)/$(LTCOMMAND) $(PKG_SBIN_DIR)/$(LTCOMMAND)
 install-dev:
 
+.dep: $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
+
 $(COMMINCL) $(COMMON):
-	$(RM) $@; $(LN_S) ../common/$@ $@
+	@echo "    [LN]     $@"
+	$(Q)$(RM) $@; $(LN_S) ../common/$@ $@
 
 $(INVINCL) $(INVCOMMON):
-	$(RM) $@; $(LN_S) ../inventory/$@ $@
+	@echo "    [LN]     $@"
+	$(Q)$(RM) $@; $(LN_S) ../inventory/$@ $@
+
+-include .dep

=== invutil/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 COMMINCL = \
 	global.h \
 	mlog.h \
-	util.h \
+	timeutil.h \
 	types.h
 
 INVINCL = \
@@ -17,6 +17,9 @@
 
 INVCOMMON = \
 	inv_files.c
+
+COMMON = \
+	timeutil.c
 
 CURSESCOMMON = \
 	cmenu.c \
@@ -39,8 +42,9 @@
 LOCALS = invutil.c
 
 LTCOMMAND = xfsinvutil
-CFILES = $(COMMON) $(INVCOMMON) $(LOCALS)
-HFILES = $(COMMINCL) $(INVINCL)
+CFILES = $(LOCALS)
+LCFILES = $(COMMON) $(INVCOMMON)
+LHFILES = $(COMMINCL) $(INVINCL)
 LINKS  = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
 LDIRT = $(LINKS)
 LLDLIBS = $(LIBUUID) $(LIBCURSES)
@@ -57,17 +61,23 @@
 LSRCFILES += $(CURSESCOMMON) $(CURSESINCL)
 endif
 
-default: $(LTCOMMAND)
+default: depend $(LTCOMMAND)
 
 include $(BUILDRULES)
 
 install: default
-	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
-	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
+	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
+	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
 install-dev:
 
+.dep: $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
+
 $(COMMINCL) $(COMMON):
-	$(RM) $@; $(LN_S) ../common/$@ $@
+	@echo "    [LN]     $@"
+	$(Q)$(RM) $@; $(LN_S) ../common/$@ $@
 
 $(INVINCL) $(INVCOMMON):
-	$(RM) $@; $(LN_S) ../inventory/$@ $@
+	@echo "    [LN]     $@"
+	$(Q)$(RM) $@; $(LN_S) ../inventory/$@ $@
+
+-include .dep

=== restore/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

COMMINCL = \
	arch_xlate.h \
	cldmgr.h \
	content.h \
	content_inode.h \
	dlog.h \
	drive.h \
	exit.h \
	fs.h \
        getdents.h \
	global.h \
	hsmapi.h \
	lock.h \
	media.h \
	mlog.h \
	openutil.h \
	path.h \
	qlock.h \
	rec_hdr.h \
	ring.h \
	sproc.h \
	stream.h \
	timeutil.h \
	ts_mtio.h \
	types.h \
	util.h

INVINCL = \
	inventory.h \
	inv_priv.h

INVCOMMON = \
	inv_api.c \
	inv_core.c \
	inv_files.c \
	inv_fstab.c \
	inv_idx.c \
	inv_mgr.c \
	inv_stobj.c

COMMON = \
	arch_xlate.c \
	cldmgr.c \
	dlog.c \
	drive.c \
	drive_scsitape.c \
	drive_simple.c \
	drive_minrmt.c \
	fs.c \
        getdents.c \
	global.c \
	hsmapi.c \
	lock.c \
	main.c \
	mlog.c \
	openutil.c \
	path.c \
	qlock.c \
	ring.c \
	sproc.c \
	stream.c \
	timeutil.c \
	util.c

LOCALS = \
	bag.c \
	content.c \
	dirattr.c \
	inomap.c \
	mmap.c \
	namreg.c \
	node.c \
	tree.c \
	win.c

LOCALINCL = \
	bag.h \
	dirattr.h \
	getopt.h \
	inomap.h \
	mmap.h \
	namreg.h \
	node.h \
	tree.h \
	win.h

LTCOMMAND = xfsrestore

CFILES = $(LOCALS)
LCFILES = $(COMMON) $(INVCOMMON)
HFILES = $(LOCALINCL)
LHFILES = $(COMMINCL) $(INVINCL)
LINKS = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
LDIRT = $(LINKS)
LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBRMT)
LTDEPENDENCIES = $(LIBRMT)

LCFLAGS = -DRESTORE -DRMT -DBASED -DDOSOCKS -DINVCONVFIX -DPIPEINVFIX \
	-DEOMFIX -DSESSCPLT -DWHITEPARSE -DDIRENTHDR_CHECKSUM \
	-DF_FSSETDM

default: depend $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_ROOT_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_ROOT_SBIN_DIR)
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(INSTALL) -S $(PKG_ROOT_SBIN_DIR)/$(LTCOMMAND) $(PKG_SBIN_DIR)/$(LTCOMMAND)
install-dev:

.dep: $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)

$(COMMINCL) $(COMMON):
	@echo "    [LN]     $@"
	$(Q)$(RM) $@; $(LN_S) ../common/$@ $@

$(INVINCL) $(INVCOMMON):
	@echo "    [LN]     $@"
	$(Q)$(RM) $@; $(LN_S) ../inventory/$@ $@

-include .dep

=== debian/changelog ===
xfsdump (3.0.5) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Mar 2011 07:30:00 +1100

xfsdump (3.0.4) unstable; urgency=low

  * New bugfix release

 -- Nathan Scott <nathans@debian.org>  Wed, 13 Jan 2009 17:46:03 +1100

## xfsdump 3.0.6

=== Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

ifeq ("$(origin V)", "command line")
  BUILD_VERBOSE = $(V)
endif
ifndef BUILD_VERBOSE
  BUILD_VERBOSE = 0
endif

ifeq ($(BUILD_VERBOSE),1)
  Q =
else
  Q = @
endif

MAKEOPTS = --no-print-directory Q=$(Q)

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

SRCDIR = $(PKG_NAME)-$(PKG_VERSION)
SRCTAR = $(PKG_NAME)-$(PKG_VERSION).tar.gz

CONFIGURE = aclocal.m4 configure config.guess config.sub install-sh ltmain.sh
LSRCFILES = configure.in release.sh README VERSION $(CONFIGURE)

LDIRT = config.log .ltdep .dep config.status config.cache confdefs.h \
	conftest* built .census install.* install-dev.* *.gz \
	autom4te.cache/* libtool include/builddefs include/config.h

ifeq ($(HAVE_BUILDDEFS), yes)
LDIRDIRT = $(SRCDIR)
LDIRT += $(SRCTAR)
endif

LIB_SUBDIRS = librmt
TOOL_SUBDIRS = common inventory invutil dump restore m4 man doc po debian

SUBDIRS = include $(LIB_SUBDIRS) $(TOOL_SUBDIRS)

default: include/builddefs include/config.h
ifeq ($(HAVE_BUILDDEFS), no)
	$(Q)$(MAKE) $(MAKEOPTS) -C . $@
else
	$(Q)$(MAKE) $(MAKEOPTS) $(SUBDIRS)
endif

# tool/lib dependencies
$(LIB_SUBDIRS) $(TOOL_SUBDIRS): include
invutil dump restore: librmt

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

# Recent versions of libtool require the -i option for copying auxiliary
# files (config.sub, config.guess, install-sh, ltmain.sh), while older
# versions will copy those files anyway, and don't understand -i.
LIBTOOLIZE_INSTALL = `libtoolize -n -i >/dev/null 2>/dev/null && echo -i`

configure:
	libtoolize -c $(LIBTOOLIZE_INSTALL) -f
	cp include/install-sh .
	aclocal -I m4
	autoconf

include/builddefs: configure
	./configure $$LOCAL_CONFIGURE_OPTIONS

include/config.h: include/builddefs
## Recover from the removal of $@
	@if test -f $@; then :; else \
		rm -f include/builddefs; \
		$(MAKE) $(AM_MAKEFLAGS) include/builddefs; \
	fi

install: default $(addsuffix -install,$(SUBDIRS))
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: default $(addsuffix -install-dev,$(SUBDIRS))

%-install:
	$(Q)$(MAKE) -C $* install

%-install-dev:
	$(Q)$(MAKE) -C $* install-dev

distclean: clean
	rm -f $(LDIRT)

realclean: distclean
	rm -f $(CONFIGURE)

#
# All this gunk is to allow for a make dist on an unconfigured tree
#
dist: include/builddefs include/config.h default
ifeq ($(HAVE_BUILDDEFS), no)
	$(Q)$(MAKE) $(MAKEOPTS) -C . $@
else
	$(Q)$(MAKE) $(MAKEOPTS) $(SRCTAR)
endif

deb: include/builddefs include/config.h
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) $(MAKEOPTS) -C . $@
else
	$(Q)$(MAKE) $(MAKEOPTS) $(SRCDIR)
	$(Q)$(MAKE) $(MAKEOPTS) -C po
	$(Q)$(MAKE) $(MAKEOPTS) source-link
	$(Q)cd $(SRCDIR) && dpkg-buildpackage
endif

$(SRCDIR) : $(_FORCE)
	rm -fr $@
	mkdir -p $@

$(SRCTAR) : default $(SRCDIR)
	$(Q)$(MAKE) $(MAKEOPTS) source-link
	unset TAPE; $(TAR) -cf - $(SRCDIR) | $(ZIP) --best > $@ && \
	echo Wrote: $@

=== common/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = arch_xlate.c arch_xlate.h \
	cldmgr.c cldmgr.h cleanup.c cleanup.h content.h \
	content_common.c content_common.h content_inode.h dlog.c dlog.h \
	drive.c drive.h drive_minrmt.c drive_scsitape.c drive_simple.c \
	exit.h fs.c fs.h getdents.c getdents.h global.c global.h \
	hsmapi.c hsmapi.h inventory.c inventory.h lock.c lock.h \
	main.c media.c media.h media_rmvtape.h mlog.c mlog.h \
	openutil.c openutil.h path.c path.h qlock.c qlock.h \
	rec_hdr.h ring.c ring.h sproc.c sproc.h stream.c \
	stream.h timeutil.c timeutil.h ts_mtio.h types.h util.c util.h

default install install-dev :

include $(BUILDRULES)

=== dump/Makefile ===
--- 
+++ 
@@ -92,7 +92,7 @@
 LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBRMT)
 LTDEPENDENCIES = $(LIBRMT)
 
-LCFLAGS = -DDUMP -DRMT -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX
+LCFLAGS = -DDUMP
 
 default: depend $(LTCOMMAND)

=== restore/Makefile ===
--- 
+++ 
@@ -102,9 +102,7 @@
 LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBRMT)
 LTDEPENDENCIES = $(LIBRMT)
 
-LCFLAGS = -DRESTORE -DRMT -DBASED -DDOSOCKS -DINVCONVFIX -DPIPEINVFIX \
-	-DEOMFIX -DSESSCPLT -DWHITEPARSE -DDIRENTHDR_CHECKSUM \
-	-DF_FSSETDM
+LCFLAGS = -DRESTORE
 
 default: depend $(LTCOMMAND)

=== debian/changelog ===
xfsdump (3.0.6) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 11 Oct 2011 16:46:01 +1100

## xfsdump 3.0.6build1

=== debian/changelog ===
xfsdump (3.0.6build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 23:29:25 +0100

## xfsdump 3.1.1

=== debian/changelog ===
xfsdump (3.1.1) unstable; urgency=low

  * New upstream release
  * Add German translation from Chris Leick (closes: #576257)

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Oct 2012 12:39:11 +1100

xfsdump (3.1.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 19 Mar 2012 15:07:12 +1100

## xfsdump 3.1.1ubuntu2

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 SRCTAR = $(PKG_NAME)-$(PKG_VERSION).tar.gz
 
 CONFIGURE = aclocal.m4 configure config.guess config.sub install-sh ltmain.sh
-LSRCFILES = configure.in release.sh README VERSION $(CONFIGURE)
+LSRCFILES = configure.ac release.sh README VERSION $(CONFIGURE)
 
 LDIRT = config.log .ltdep .dep config.status config.cache confdefs.h \
 	conftest* built .census install.* install-dev.* *.gz \

=== debian/changelog ===
xfsdump (3.1.1ubuntu2) trusty; urgency=medium

  * Apply patch don't assume getdents exists from http://patchwork.xfs.org/patch/6828/

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 26 Dec 2013 04:27:28 +0000

xfsdump (3.1.1ubuntu1) trusty; urgency=medium

  * Build using autotools-dev.
  * Patch m4/libtool.m4 for powerpc64le and regenerate configure.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 18:25:19 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 .census:
 	@echo "== dpkg-buildpackage: configure" 1>&2
 	$(checkdir)
+	dh_autotools-dev_updateconfig
 	$(options) $(MAKE) include/config.h
 	touch .census
 
@@ -32,6 +33,7 @@
 	$(MAKE) distclean
 	-rm -rf $(dirme)
 	-rm -f debian/*substvars debian/files* debian/*.debhelper
+	dh_autotools-dev_updateconfig
 
 binary-indep:
 
@@ -40,8 +42,7 @@
 	$(checkdir)
 	-rm -rf $(dirme)
 	$(pkgme) $(MAKE) -C . install
-	$(pkgme) $(MAKE) -C build src-manifest
-
+	$(pkgme) $(MAKE) dist
 	dh_installdocs
 	dh_installchangelogs
 	dh_strip
@@ -51,7 +52,6 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-
 	dh_md5sums
 	dh_builddeb

## xfsdump 3.1.6%2Bnmu1

=== debian/changelog ===
xfsdump (3.1.6+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Create in postinst the xfsdump and xfsrestore compatibility symlinks.
    This is needed to support merged /usr systems (closes: #767926)

 -- Marco d'Itri <md@linux.it>  Thu, 07 Jan 2016 22:44:28 +0100

xfsdump (3.1.6) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 10 Nov 2015 16:16:03 +1100

xfsdump (3.1.5) unstable; urgency=low

  * New upstream release (closes: #799201)

 -- Nathan Scott <nathans@debian.org>  Wed, 14 Oct 2015 12:53:24 +1100

xfsdump (3.1.4) unstable; urgency=low

  * New upstream release (closes: #747079)
  * Add a watch file (closes: #748482)
  * Update configure files during build (closes: #746531)

 -- Nathan Scott <nathans@debian.org>  Wed, 16 Jul 2014 13:26:02 +1000

xfsdump (3.1.3) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 08 May 2013 11:53:54 -0500

## xfsdump 3.1.6%2Bnmu2

=== debian/changelog ===
xfsdump (3.1.6+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Set -D_FILE_OFFSET_BITS=64 in configure, where the value from
    include/builddefs.in is not yet active. This fixes the xfs.h test on 32bit
    systems (closes: #837581)

 -- Florian Schlichting <fsfs@debian.org>  Sat, 25 Feb 2017 19:47:46 +0100

## xfsdump 3.1.6+nmu2

=== doc/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

README = README.xfsdump
LSRCFILES = INSTALL CHANGES COPYING $(README) \
	xfsdump.html xfsdump_ts.txt \
	*.obj *.gif

LDIRT = *.gz

default: CHANGES.gz

include $(BUILDRULES)

CHANGES.gz:
	@echo "    [ZIP]    $@"
	$(Q)$(ZIP) --best -c < CHANGES > $@

install: default
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 CHANGES.gz $(README) $(PKG_DOC_DIR)
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
else
	$(INSTALL) -m 644 COPYING $(PKG_DOC_DIR)
endif

install-dev:

=== include/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

HFILES = swab.h swap.h
LSRCFILES = builddefs.in buildmacros buildrules config.h.in install-sh

default install install-dev :

include $(BUILDRULES)

=== inventory/Makefile ===
--- 
+++ 
@@ -7,8 +7,10 @@
 
 LSRCFILES = inv_api.c inv_core.c inv_fstab.c inv_idx.c inv_mgr.c \
 	inv_oref.c inv_oref.h inv_priv.h inv_stobj.c inv_files.c \
-	inventory.h
+	inventory.h getopt.h testmain.c
 
 default install install-dev:
 
 include $(BUILDRULES)
+
+-include .ltdep

=== librmt/Makefile ===
--- 
+++ 
@@ -15,8 +15,10 @@
     rmtaccess.c  rmtcreat.c    rmtioctl.c  rmtopen.c    rmtwrite.c \
     rmtmsg.c
 
-default: $(LTLIBRARY)
+default: ltdepend $(LTLIBRARY)
 
 include $(BUILDRULES)
 
 install install-dev: default
+
+-include .ltdep

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+export LOCAL_CONFIGURE_OPTIONS=CFLAGS=-D_FILE_OFFSET_BITS=64
 
 package=xfsdump
 
@@ -33,7 +34,8 @@
 	$(MAKE) distclean
 	-rm -rf $(dirme)
 	-rm -f debian/*substvars debian/files* debian/*.debhelper
-	dh_autotools-dev_updateconfig
+	dh_autotools-dev_restoreconfig
+	dh_clean
 
 binary-indep:

## xfsdump 3.1.6+nmu2build1

=== debian/changelog ===
xfsdump (3.1.6+nmu2build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 15:21:45 +0000

## xfsdump 3.1.6+nmu2ubuntu1

=== common/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	hsmapi.c hsmapi.h inventory.c inventory.h lock.c lock.h \
 	main.c media.c media.h media_rmvtape.h mlog.c mlog.h \
 	openutil.c openutil.h path.c path.h qlock.c qlock.h \
-	rec_hdr.h ring.c ring.h sproc.c sproc.h stream.c \
+	rec_hdr.h ring.c ring.h stream.c \
 	stream.h timeutil.c timeutil.h ts_mtio.h types.h util.c util.h
 
 default install install-dev :

=== man/Makefile ===
--- 
+++ 
@@ -7,7 +7,16 @@
 
 SUBDIRS = man8
 
-default install install-dev : $(SUBDIRS)
-	$(SUBDIRS_MAKERULE)
+default : $(SUBDIRS)
+
+install : $(addsuffix -install,$(SUBDIRS))
+
+install-dev : $(addsuffix -install-dev,$(SUBDIRS))
+
+%-install:
+	$(MAKE) -C $* install
+
+%-install-dev:
+	$(MAKE) -C $* install-dev
 
 include $(BUILDRULES)

=== restore/Makefile ===
--- 
+++ 
@@ -25,7 +25,6 @@
 	qlock.h \
 	rec_hdr.h \
 	ring.h \
-	sproc.h \
 	stream.h \
 	timeutil.h \
 	ts_mtio.h \
@@ -64,7 +63,6 @@
 	path.c \
 	qlock.c \
 	ring.c \
-	sproc.c \
 	stream.c \
 	timeutil.c \
 	util.c
@@ -99,7 +97,7 @@
 LHFILES = $(COMMINCL) $(INVINCL)
 LINKS = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
 LDIRT = $(LINKS)
-LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBRMT)
+LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBRMT) $(LIBPTHREAD)
 LTDEPENDENCIES = $(LIBRMT)
 
 LCFLAGS = -DRESTORE
@@ -112,7 +110,6 @@
 	$(INSTALL) -m 755 -d $(PKG_ROOT_SBIN_DIR)
 	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_ROOT_SBIN_DIR)
 	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
-	$(INSTALL) -S $(PKG_ROOT_SBIN_DIR)/$(LTCOMMAND) $(PKG_SBIN_DIR)/$(LTCOMMAND)
 install-dev:
 
 .dep: $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)

=== debian/changelog ===
xfsdump (3.1.6+nmu2ubuntu1) focal; urgency=medium

  * Cherry-pick fixes from 3.1.9 (LP: #1870085):
    - common/types.h: Wrap #define UUID_STR_LEN 36 in #ifndef
    - common: remove old ioctl typedef usage

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Sep 2024 15:01:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,17 @@
 Source: xfsdump
 Section: admin
 Priority: optional
-Maintainer: Nathan Scott <nathans@debian.org>
-Build-Depends: xfslibs-dev (>= 2.6.4), uuid-dev, libattr1-dev (>= 2.4.14), libncurses-dev, autoconf, debhelper (>= 5), gettext, libtool
-Standards-Version: 3.5.9
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
+Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
+Build-Depends: xfslibs-dev (>= 3.0.0), uuid-dev, libattr1-dev (>= 2.4.14), libncurses-dev, autoconf, debhelper (>= 5), gettext, libtool, autotools-dev
+Standards-Version: 3.8.1
+Homepage: http://oss.sgi.com/projects/xfs/
 
 Package: xfsdump
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: acl, attr, quota
+Conflicts: xfsprogs (<< 3.0.0)
 Architecture: any
 Description: Administrative utilities for the XFS filesystem
  The xfsdump package contains xfsdump, xfsrestore and a number of

## xfsdump 3.1.9+0

=== invutil/Makefile ===
--- 
+++ 
@@ -49,9 +49,7 @@
 LDIRT = $(LINKS)
 LLDLIBS = $(LIBUUID) $(LIBCURSES)
 
-#LCFLAGS = -DDUMP -DRMT -DEXTATTR -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX
-LCFLAGS = -DDUMP -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX
-#LCFLAGS = -DINV_DEBUG -DDUMP -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX
+LCFLAGS = -DDUMP
 
 ifeq ($(ENABLE_CURSES), yes)
 CFILES += $(CURSESCOMMON)

=== debian/changelog ===
xfsdump (3.1.9+0) unstable; urgency=medium

  * In postinst, create as needed the xfsdump and xfsrestore symlinks
    to support systems with merged /usr/sbin and /sbin
    Patch by Goffredo Baroncelli <kreijack@inwind.it>
    Closes: #953537

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 10 Jul 2020 19:48:32 -0500

xfsdump (3.1.9) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 31 Jan 2020 11:30:58 -0600

xfsdump (3.1.8) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 21 Sep 2017 16:09:50 -0500

xfsdump (3.1.7) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 18 Aug 2017 17:49:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xfsdump
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
+Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: xfslibs-dev (>= 3.0.0), uuid-dev, libattr1-dev (>= 2.4.14), libncurses-dev, autoconf, debhelper (>= 5), gettext, libtool, autotools-dev
 Standards-Version: 3.8.1

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
ftp://oss.sgi.com/projects/xfs/cmd_tars/xfsdump-(.+)\.tar\.gz

## xfsdump 3.1.9+0build1

=== debian/changelog ===
xfsdump (3.1.9+0build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:59 +0200

## xfsdump 3.1.9+0+nmu2

=== dump/Makefile ===
--- 
+++ 
@@ -30,7 +30,6 @@
 	ts_mtio.h \
 	types.h \
 	util.h \
-	sproc.h \
 	rec_hdr.h
 
 INVINCL = \
@@ -68,8 +67,7 @@
 	ring.c \
 	stream.c \
 	timeutil.c \
-	util.c \
-	sproc.c
+	util.c
 
 LOCALS = \
 	content.c \
@@ -89,7 +87,7 @@
 LHFILES = $(COMMINCL) $(INVINCL)
 LINKS = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
 LDIRT = $(LINKS)
-LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBRMT)
+LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBRMT) $(LIBPTHREAD)
 LTDEPENDENCIES = $(LIBRMT)
 
 LCFLAGS = -DDUMP
@@ -102,7 +100,6 @@
 	$(INSTALL) -m 755 -d $(PKG_ROOT_SBIN_DIR)
 	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_ROOT_SBIN_DIR)
 	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
-	$(INSTALL) -S $(PKG_ROOT_SBIN_DIR)/$(LTCOMMAND) $(PKG_SBIN_DIR)/$(LTCOMMAND)
 install-dev:
 
 .dep: $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)

=== restore/Makefile ===
--- 
+++ 
@@ -102,6 +102,10 @@
 
 LCFLAGS = -DRESTORE
 
+ifeq ($(HAVE_FALLOCATE),yes)
+LCFLAGS += -DHAVE_FALLOCATE
+endif
+
 default: depend $(LTCOMMAND)
 
 include $(BUILDRULES)
@@ -110,6 +114,7 @@
 	$(INSTALL) -m 755 -d $(PKG_ROOT_SBIN_DIR)
 	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_ROOT_SBIN_DIR)
 	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
+	# skip symlink when /sbin is alread symlinked to /usr/sbin, like on Fedora
 install-dev:
 
 .dep: $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)

=== debian/changelog ===
xfsdump (3.1.9+0+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965900)

 -- Adrian Bunk <bunk@debian.org>  Wed, 19 Jan 2022 12:22:32 +0200

xfsdump (3.1.9+0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * add build-arch and build-indep targets to debian/rules
    Closes: #999291

 -- Damyan Ivanov <dmn@debian.org>  Thu, 16 Dec 2021 08:44:12 +0000

## xfsdump 3.1.11

=== dump/Makefile ===
--- 
+++ 
@@ -100,6 +100,9 @@
 	$(INSTALL) -m 755 -d $(PKG_ROOT_SBIN_DIR)
 	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_ROOT_SBIN_DIR)
 	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
+	# skip symlink when /sbin is alread symlinked to /usr/sbin, like on Fedora
+	test $(PKG_ROOT_SBIN_DIR) -ef $(PKG_SBIN_DIR) || \
+		$(INSTALL) -S $(PKG_ROOT_SBIN_DIR)/$(LTCOMMAND) $(PKG_SBIN_DIR)/$(LTCOMMAND)
 install-dev:
 
 .dep: $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)

=== m4/Makefile ===
#
# Copyright (c) 2003-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

CONFIGURE = \
	libtool.m4 \
	ltoptions.m4 \
	ltsugar.m4 \
	ltversion.m4 \
	lt~obsolete.m4

LSRCFILES = \
	manual_format.m4 \
	package_attrdev.m4 \
	package_globals.m4 \
	package_libcdev.m4 \
	package_ncurses.m4 \
	package_pthread.m4 \
	package_utilies.m4 \
	package_uuiddev.m4 \
	package_xfslibs.m4 \
	multilib.m4 \
	$(CONFIGURE)

default:

include $(BUILDRULES)

install install-dev install-lib: default

realclean: distclean
	rm -f $(CONFIGURE)

=== debian/changelog ===
xfsdump (3.1.11-0.1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:23:02 +0200

xfsdump (3.1.11-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #1013549)
  * Switch to 3.0 (quilt) format (Closes: #1007287)
  * Remove ancient versioned Conflicts

 -- Bastian Germann <bage@debian.org>  Sun, 16 Oct 2022 21:44:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: xfsdump
 Section: admin
 Priority: optional
-Maintainer: Nathan Scott <nathans@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: xfslibs-dev (>= 3.0.0), uuid-dev, libattr1-dev (>= 2.4.14), libncurses-dev, autoconf, debhelper (>= 5), gettext, libtool, autotools-dev
 Standards-Version: 3.8.1
-Homepage: http://oss.sgi.com/projects/xfs/
 
 Package: xfsdump
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: acl, attr, quota
-Conflicts: xfsprogs (<< 3.0.0)
 Architecture: any
 Description: Administrative utilities for the XFS filesystem
  The xfsdump package contains xfsdump, xfsrestore and a number of

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
-export LOCAL_CONFIGURE_OPTIONS=CFLAGS=-D_FILE_OFFSET_BITS=64
 
 package=xfsdump
 
@@ -13,11 +12,15 @@
 	  INSTALL_USER=root INSTALL_GROUP=root ;
 checkdir = test -f debian/rules
 
-build: built
+build: build-arch build-indep
+
+build-arch: built
 built: config
 	@echo "== dpkg-buildpackage: build" 1>&2
 	$(MAKE) default
 	touch built
+
+build-indep:
 
 config: .census
 .census:

## xfsdump 3.2.0

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,8 @@
 
 CONFIGURE = aclocal.m4 configure config.guess config.sub install-sh ltmain.sh
 LSRCFILES = configure.ac release.sh README VERSION $(CONFIGURE)
+SRCTARINC = m4/libtool.m4 m4/lt~obsolete.m4 m4/ltoptions.m4 m4/ltsugar.m4 \
+            m4/ltversion.m4 .gitcensus $(CONFIGURE)
 
 LDIRT = config.log .ltdep .dep config.status config.cache confdefs.h \
 	conftest* built .census install.* install-dev.* *.gz \
@@ -98,7 +100,7 @@
 	rm -f $(LDIRT)
 
 realclean: distclean
-	rm -f $(CONFIGURE)
+	rm -f $(CONFIGURE) .gitcensus
 
 #
 # All this gunk is to allow for a make dist on an unconfigured tree
@@ -115,16 +117,19 @@
 	$(MAKE) $(MAKEOPTS) -C . $@
 else
 	$(Q)$(MAKE) $(MAKEOPTS) $(SRCDIR)
-	$(Q)$(MAKE) $(MAKEOPTS) -C po
-	$(Q)$(MAKE) $(MAKEOPTS) source-link
 	$(Q)cd $(SRCDIR) && dpkg-buildpackage
 endif
 
-$(SRCDIR) : $(_FORCE)
+$(SRCDIR) : $(_FORCE) $(SRCTAR)
 	rm -fr $@
-	mkdir -p $@
+	$(Q)$(TAR) -zxvf $(SRCTAR)
 
-$(SRCTAR) : default $(SRCDIR)
-	$(Q)$(MAKE) $(MAKEOPTS) source-link
-	unset TAPE; $(TAR) -cf - $(SRCDIR) | $(ZIP) --best > $@ && \
+$(SRCTAR) : default $(SRCTARINC) .gitcensus
+	$(Q)$(TAR) --transform "s,^,$(SRCDIR)/," -zcf $(SRCDIR).tar.gz \
+	  `cat .gitcensus` $(SRCTARINC)
 	echo Wrote: $@
+
+.gitcensus: $(_FORCE)
+	$(Q) if test -d .git; then \
+	  git ls-files > .gitcensus && echo "new .gitcensus"; \
+	fi

=== po/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

POTHEAD = $(PKG_NAME).pot
LINGUAS = de pl
LSRCFILES = $(LINGUAS:%=%.po)
LDIRT = $(POTHEAD)

XGETTEXTFILES =	$(LOCALIZED_FILES)

default: $(POTHEAD) $(LINGUAS:%=%.mo)

include $(BUILDRULES)

install: default
	$(INSTALL_LINGUAS)

install-dev install-lib:

=== restore/Makefile ===
--- 
+++ 
@@ -115,6 +115,8 @@
 	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_ROOT_SBIN_DIR)
 	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
 	# skip symlink when /sbin is alread symlinked to /usr/sbin, like on Fedora
+	test $(PKG_ROOT_SBIN_DIR) -ef $(PKG_SBIN_DIR) || \
+		$(INSTALL) -S $(PKG_ROOT_SBIN_DIR)/$(LTCOMMAND) $(PKG_SBIN_DIR)/$(LTCOMMAND)
 install-dev:
 
 .dep: $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)

=== debian/changelog ===
xfsdump (3.2.0-2) unstable; urgency=medium

  * Standards-Version: 4.7.0

  [ Zixing Liu <zixing.liu@canonical.com> ]
  * debain/compat: 7 -> 13 and also switches to use debhelper's
    autoreconf template, this makes the build script respect build flags
    and also without overriding the hand-written config.h.in file
    (LP: #2073548).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 16 Jan 2025 10:53:24 +1100

xfsdump (3.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 11 Jan 2025 12:48:29 +1100

xfsdump (3.1.11-1) unstable; urgency=medium

  [ Niels Thykier ]
  * Explicitly request root when building the package
    Closes: #1089476

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 02 Jan 2025 08:13:47 +1100

xfsdump (3.1.11-0.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Move aliased xfs tools to /usr (DEP17). (Closes: #1063876)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jun 2024 20:17:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: xfsdump
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
-Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: xfslibs-dev (>= 3.0.0), uuid-dev, libattr1-dev (>= 2.4.14), libncurses-dev, autoconf, debhelper (>= 5), gettext, libtool, autotools-dev
-Standards-Version: 3.8.1
+Maintainer: XFS Development Team <linux-xfs@vger.kernel.org>
+Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
+Build-Depends: xfslibs-dev (>= 3.0.0), uuid-dev, libattr1-dev (>= 2.4.14), libncurses-dev, autoconf, debhelper-compat (= 13), gettext, libtool
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.7.0
 
 Package: xfsdump
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export AUTOHEADER=true

options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
	  INSTALL_USER=root INSTALL_GROUP=root ;

%:
	dh $@

override_dh_auto_configure:
	@echo "== dpkg-buildpackage: configure" 1>&2
	dh_update_autotools_config
	$(options) $(MAKE) include/config.h LOCAL_CONFIGURE_OPTIONS='--exec-prefix=/nondefault --sbindir=/usr/sbin'
	touch .gitcensus

override_dh_auto_build:
	@echo "== dpkg-buildpackage: build" 1>&2
	dh_auto_build -- V=1 default

override_dh_clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	-rm -f debian/*substvars debian/files* debian/*.debhelper
	rm -f .gitcensus
	dh_clean
